% SCHEMATIC-FORMAT(1) Schematic User Manuals | Version 0.1.1
% Evan Hanson <evhan@foldling.org>
% December 2013

# NAME

**schematic-format** - Scheme source formatter

# SYNOPSIS

**schematic-format** \[*option* ...]

# DESCRIPTION

**schematic-format** is a formatter for R7RS Scheme source. It reads
Scheme code from standard input, reindents it according to a fairly
conventional set of rules, and writes the result to standard output.

# OPTIONS

-h, --help
:   Display a usage summary and exit.

-v, --version
:   Print version information to standard output and exit.

# CAVEATS

**schematic-format** only knows the keywords and identifiers specified
by R7RS, and there is currently no way to specify additional indentation
rules.

Tabbed indentation is unsupported. Leading tabs are rewritten as eight
spaces.

`cond`'s clauses are indented by one space beyond its opening
parenthesis, which may surprise some Emacs users.

Implementation-specific reader extensions such as here documents and
alternative parenthetical syntaxes may not be handled nicely.

# SEE ALSO

`schematic-docco`(1), `schematic-markdown`(1),
[`scmindent`](http://www.ccs.neu.edu/home/dorai/scmindent/index.html)
